## visad.data.netcdf
Class QuantityDBImpl.QuantityIterator

    java.lang.Object
      visad.data.netcdf.QuantityDBImpl.Iterator
          visad.data.netcdf.QuantityDBImpl.QuantityIterator

All Implemented Interfaces:
  Iterator

Enclosing class:
  QuantityDBImpl

protected class QuantityDBImpl.QuantityIterator
extends QuantityDBImpl.Iterator

Provides support for iterating over the quantities in the database.

Field Summary

Fields inherited from class visad.data.netcdf.QuantityDBImpl.Iterator
`iterator`

Constructor Summary
`protected` `QuantityDBImpl.QuantityIterator()` Constructs.

Method Summary
`protected Iterator` `nextIterator()` Returns the iterator for the successor database.
`protected Object` `nextObject()` Returns the next quantity of the iterator.

Methods inherited from class visad.data.netcdf.QuantityDBImpl.Iterator
`doSwitch, hasNext, next, remove`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QuantityDBImpl.QuantityIterator

    protected QuantityDBImpl.QuantityIterator()

  Constructs.

Method Detail

### nextObject

    protected Object nextObject()

  Returns the next quantity of the iterator.

  Specified by:
    `nextObject` in class `QuantityDBImpl.Iterator`

### nextIterator

    protected Iterator nextIterator()

  Returns the iterator for the successor database.

  Specified by:
    `nextIterator` in class `QuantityDBImpl.Iterator`